<template>
  <div class="card" :style="style" @mouseover="hover=true" @mouseleave="hover=false">
    <div class="title">{{ title }}</div>

    <div class="content">{{ text }}</div>
  </div>
</template>

<script>
export default {
  name: "CarouselCard",
  props: {
    title: String,
    text: String,
    top: String,
    left: String,
    zIndex: String,
    order: Number
  },
  data: () => ({
    hover: false,
    hoverZIndex: 10
  }),
  computed: {
    oldStyle() {
      return {
        top: this.top + "px",
        left: this.left + "px",
        "z-index": this.hover ? this.hoverZIndex : this.zIndex,
        transform: this.hover ? "scale(1.3) translateX(100px)" : "scale(1)"
      };
    },
    style() {
      const zIndex =
        this.order === 1 || this.order === 5
          ? 0
          : this.order === 2 || this.order === 4
          ? 1
          : 2;

      const scale =
        this.order === 1 || this.order === 5
          ? 0.5
          : this.order === 2 || this.order === 4
          ? 0.75
          : 1;

      const translateX =
        this.order === 1
          ? -275
          : this.order === 2
          ? -100
          : this.order === 3
          ? 0
          : this.order === 4
          ? 100
          : 275;

      return {
        "z-index": zIndex,
        transform: `scale(${scale}) translateX(${translateX}px)`
      };
    }
  }
};
</script>

<style scoped>
.card {
  height: 200px;
  width: 200px;
  border: 1px solid black;
  background: white;
  transition: transform 0.5s ease;
  position: fixed;
}

.title {
  font-weight: 600;
  font-size: 1.4em;
  padding: 0.5em;
}

.content {
  padding: 0.5em;
  text-align: none;
}
</style>
